## palm-doctoolkit 1.1.4

=== Makefile ===

DESTDIR =

MODULE_PATH = $(DESTDIR)/usr/lib/python1.5/site-packages
MODULE_DIR = $(MODULE_PATH)/DocToolkit

INSTALL_DIRS = DTKInput DTKOutput

BINARIES = dtk doctotext

install:
	mkdir -p -m 755 $(MODULE_DIR)
	for i in $(INSTALL_DIRS) ; do \
	    mkdir -p -m 755 $(MODULE_DIR)/$$i ; \
	done ;
	for i in `find . -name '*.py' -print` ; do \
	    cp $$i $(MODULE_DIR)/$$i ; \
	    chmod 644 $(MODULE_DIR)/$$i ; \
	done ;
	for i in `ls $(BINARIES)` ; do \
	    cp $$i $(MODULE_DIR)/$$i ; \
	    chmod 755 $(MODULE_DIR)/$$i ; \
	done ;

=== debian/changelog ===
palm-doctoolkit (1.1.4) unstable; urgency=low

  * New "upstream" version.

 -- Rob Tillotson <robt@debian.org>  Thu, 16 Dec 1999 02:58:59 -0600

palm-doctoolkit (1.1.3) unstable; urgency=low

  * New "upstream" version.

 -- Rob Tillotson <robt@debian.org>  Mon,  6 Dec 1999 02:07:12 -0600

palm-doctoolkit (1.1.2) unstable; urgency=low

  * Converted to native Debian package.
  * Standards-Version 3.0.1.

 -- Rob Tillotson <robt@debian.org>  Tue,  2 Nov 1999 14:10:03 -0600

palm-doctoolkit (1.1.1-1) unstable; urgency=low

  * New "upstream" release.
  * Standards-Version 2.5.1.
  * Updated dependencies to current versions of Python (closes: #41342),
    Pyrite, and Sulfur.

 -- Rob Tillotson <robt@debian.org>  Thu, 22 Jul 1999 01:14:41 -0500

palm-doctoolkit (1.1.0-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Thu, 27 May 1999 04:34:39 -0500

palm-doctoolkit (1.0.0-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Mon, 22 Feb 1999 13:51:17 -0600

palm-doctoolkit (0.99.1-3) unstable; urgency=low

  * Fixed dependency on palmpython/pyrite.

 -- Rob Tillotson <robt@debian.org>  Sat,  6 Feb 1999 15:55:26 -0600

palm-doctoolkit (0.99.1-2) unstable; urgency=low

  * Changed priority to "extra".

 -- Rob Tillotson <robt@debian.org>  Thu, 10 Sep 1998 14:07:01 -0500

palm-doctoolkit (0.99.1-1) unstable; urgency=low

  * Initial Release.

 -- Rob Tillotson <robt@debian.org>  Wed,  9 Sep 1998 06:01:38 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "robt@debian.org"
End:

=== debian/control ===
Source: palm-doctoolkit
Section: otherosfs
Priority: extra
Maintainer: Rob Tillotson <robt@debian.org>
Standards-Version: 3.0.1

Package: palm-doctoolkit
Architecture: all
Depends: pyrite (>= 0.9.1), sulfur (>= 0.1.1), python-base (>= 1.5.2-4), python-zlib (>= 1.5.2-4)
Description: E-text tools for PalmPilot users
 Doc Toolkit is a modular toolkit for building PalmPilot e-texts in the
 de facto standard Doc format.  It includes tools for converting HTML
 and ASCII text to Doc databases, and has the following features (among
 others):
 .
   - input from local files or URLs, gzip supported
   - create databases on local disk or install directly on the PalmPilot
   - user can set category, type, creator, and backup bit
   - TealDoc tag support (headings, rules, links, etc.)
   - true bookmark support (no auto-scan required)
   - TealDoc headers wordwrapped based on actual Palm OS font metrics
   - extended character set support in HTML
   - embedded nroff-like tags supported in text conversion

=== debian/rules ===
#!/usr/bin/make -f
# -*-Makefile-*-
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	# Compilation commands go here
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f *.py[co]

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	cp ChangeLog `pwd`/debian/tmp/usr/share/doc/palm-doctoolkit/changelog.full

	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_link
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
